Print

Print


***** To join INSNA, visit http://www.insna.org *****
Sorry for multiple receptions of this email.

Following our release of the Tulip 5.0 software (our large graphs manipulation and visualization software), the PyPi packages have been updated (Windows, Mac, Linux compatible, from Python 2.7 to Python 3.6, works with Anaconda as well).

Note that you have two packages available:
- one for creation, manipulation and computations on graphs, including layout algorithms:
$> pip install tulip-python
- one for visualization, which allows you to display and interact through node-link diagrams, matrices, scatterplots and many more...
$> pip install tulipgui-python

Documentation is available at: http://tulip.labri.fr/Documentation/current/tulip-python/html/index.html

The soft is opensource, and you can write your own plugins in python or C++ and welcome to share with the community.

For an academic reference you can see here: https://hal.archives-ouvertes.fr/hal-01359308/document, and we have the Tulip 5 article for the Encyclopedia of Social Network Analysis and Mining in preparation.

Warmest regards,
--
Benjamin Renoust

National Institute of Informatics & JFLI CNRS UMI 3527
Shin'ichi Satoh's Laboratory, Visiting Researcher 
JSPS Postdoctoral Fellow
#1218, 2-1-2, Hitotsubashi, Chiyoda-ku, Tokyo 101-8430
Tel: +81-3-4212-2410
Fax: +81-3-4212-2120
email: [log in to unmask]


---------- Forwarded message ----------
From: Antoine Lambert <[log in to unmask]>
Date: 30 June 2017 at 06:45
Subject: Tulip-Python 5.0 released on PyPi
To: Tulip Devs <[log in to unmask]>


Hello,

Following the release of Tulip 5.0 on sourceforge, Tulip-Python wheels have also been updated on the Python Packaging index (https://pypi.python.org/pypi/tulip-python, https://pypi.python.org/pypi/tulipgui-python).

They are available for MacOS (universal architecture), Linux (32 bits and 64 bits) and WIndows (32 bits and 64 bits).

The supported Python versions go from 2.7 to 3.6.

Native libraries bundled inside have been compiled in release mode with C++11 standard activated. The tulipgui module is linked against Qt 4.8.7 on MacOS and Windows, and Qt 4.7.4 on Linux.

Have fun !

_____________________________________________________________________ SOCNET is a service of INSNA, the professional association for social network researchers (http://www.insna.org). To unsubscribe, send an email message to [log in to unmask] containing the line UNSUBSCRIBE SOCNET in the body of the message.